<ion-app [class.dark-theme]="dark">
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content">
      <ion-content>
        <ion-list *ngIf="loggedIn" lines="none">
          <ion-list-header> App </ion-list-header>

          <ion-menu-toggle autoHide="false">
            <ion-item button routerLink="app/tabs/library" detail="false">
              <ion-icon slot="start" src="svg/library.svg"></ion-icon>
              <ion-label> Library </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle autoHide="false">
            <ion-item button routerLink="/about" detail="false">
              <ion-icon
                slot="start"
                src="svg/information-circle-outline.svg"
              ></ion-icon>
              <ion-label> About </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-list-header> Controls </ion-list-header>

          <ion-item (click)="refreshApp()" style="cursor: pointer">
            <ion-icon slot="start" src="svg/refresh-outline.svg"></ion-icon>
            <ion-label> Refresh this app </ion-label>
          </ion-item>

          <ion-item>
            <ion-icon slot="start" src="svg/moon-outline.svg"></ion-icon>
            <ion-label> Dark Mode </ion-label>
            <ion-toggle
              (ionChange)="toggleDarkMode()"
              [(ngModel)]="dark"
            ></ion-toggle>
          </ion-item>

          <ion-menu-toggle autoHide="false">
            <ion-item (click)="installPwa()" style="cursor: pointer">
              <ion-icon slot="start" src="svg/apps-outline.svg"></ion-icon>
              <ion-label> Install this app </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-list-header> Account </ion-list-header>

          <ion-menu-toggle autoHide="false">
            <ion-item button routerLink="/settings" detail="false">
              <ion-icon slot="start" src="svg/settings-outline.svg"></ion-icon>
              <ion-label> Settings </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle autoHide="false">
            <ion-item button (click)="logout()" detail="false">
              <ion-icon slot="start" src="svg/log-out-outline.svg"></ion-icon>
              <ion-label> Logout </ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>

        <ion-list *ngIf="!loggedIn" lines="none">
          <ion-list-header> App </ion-list-header>

          <ion-menu-toggle autoHide="false">
            <ion-item
              routerLink="/login"
              routerLinkActive="active"
              routerDirection="root"
              detail="false"
            >
              <ion-icon slot="start" src="svg/log-in-outline.svg"></ion-icon>
              <ion-label> Log In </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle autoHide="false">
            <ion-item button routerLink="/about" detail="false">
              <ion-icon
                slot="start"
                src="svg/information-circle-outline.svg"
              ></ion-icon>
              <ion-label> About </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle autoHide="false">
            <ion-item (click)="installPwa()" style="cursor: pointer">
              <ion-icon slot="start" src="svg/apps-outline.svg"></ion-icon>
              <ion-label> Install this app </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-item (click)="refreshApp()" style="cursor: pointer">
            <ion-icon slot="start" src="svg/refresh-outline.svg"></ion-icon>
            <ion-label> Refresh this app </ion-label>
          </ion-item>

          <ion-item>
            <ion-icon slot="start" src="svg/moon-outline.svg"></ion-icon>
            <ion-label> Dark Mode </ion-label>
            <ion-toggle
              (ionChange)="toggleDarkMode()"
              [(ngModel)]="dark"
            ></ion-toggle>
          </ion-item>
        </ion-list>
      </ion-content>
    </ion-menu>

    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
